Package com.sun.jna.platform.win32

## Class WinNT.OSVERSIONINFOEX

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.OSVERSIONINFOEX

- Enclosing interface:
    WinNT

      @FieldOrder({"dwOSVersionInfoSize","dwMajorVersion","dwMinorVersion","dwBuildNumber","dwPlatformId","szCSDVersion","wServicePackMajor","wServicePackMinor","wSuiteMask","wProductType","wReserved"})
      public static class WinNT.OSVERSIONINFOEX
      extends Structure

  Contains operating system version information. The information includes major and minor version numbers, a build number, a platform identifier, and information about product suites and the latest Service Pack installed on the system.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `WinDef.DWORD` | `dwBuildNumber` | The build number of the operating system.
    `WinDef.DWORD` | `dwMajorVersion` | The major version number of the operating system.
    `WinDef.DWORD` | `dwMinorVersion` | The minor version number of the operating system.
    `WinDef.DWORD` | `dwOSVersionInfoSize` | The size of this data structure, in bytes.
    `WinDef.DWORD` | `dwPlatformId` | The operating system platform.
    `char[]` | `szCSDVersion` | A null-terminated string, such as "Service Pack 3", that indicates the latest Service Pack installed on the system.
    `byte` | `wProductType` | Any additional information about the system.
    `byte` | `wReserved` | Reserved for future use.
    `WinDef.WORD` | `wServicePackMajor` | The major version number of the latest Service Pack installed on the system.
    `WinDef.WORD` | `wServicePackMinor` | The minor version number of the latest Service Pack installed on the system.
    `WinDef.WORD` | `wSuiteMask` | A bit mask that identifies the product suites available on the system.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OSVERSIONINFOEX()` |
    `OSVERSIONINFOEX​(Pointer memory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBuildNumber()` |
    `int` | `getMajor()` |
    `int` | `getMinor()` |
    `int` | `getPlatformId()` |
    `byte` | `getProductType()` |
    `java.lang.String` | `getServicePack()` |
    `int` | `getSuiteMask()` |

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwOSVersionInfoSize

          public WinDef.DWORD dwOSVersionInfoSize

      The size of this data structure, in bytes.

    - #### dwMajorVersion

          public WinDef.DWORD dwMajorVersion

      The major version number of the operating system.

    - #### dwMinorVersion

          public WinDef.DWORD dwMinorVersion

      The minor version number of the operating system.

    - #### dwBuildNumber

          public WinDef.DWORD dwBuildNumber

      The build number of the operating system.

    - #### dwPlatformId

          public WinDef.DWORD dwPlatformId

      The operating system platform. This member can be VER_PLATFORM_WIN32_NT.

    - #### szCSDVersion

          public char[] szCSDVersion

      A null-terminated string, such as "Service Pack 3", that indicates the latest Service Pack installed on the system. If no Service Pack has been installed, the string is empty.

    - #### wServicePackMajor

          public WinDef.WORD wServicePackMajor

      The major version number of the latest Service Pack installed on the system. For example, for Service Pack 3, the major version number is 3. If no Service Pack has been installed, the value is zero.

    - #### wServicePackMinor

          public WinDef.WORD wServicePackMinor

      The minor version number of the latest Service Pack installed on the system. For example, for Service Pack 3, the minor version number is 0.

    - #### wSuiteMask

          public WinDef.WORD wSuiteMask

      A bit mask that identifies the product suites available on the system.

    - #### wProductType

          public byte wProductType

      Any additional information about the system.

    - #### wReserved

          public byte wReserved

      Reserved for future use.

  - ### Constructor Detail

    - #### OSVERSIONINFOEX

          public OSVERSIONINFOEX()

    - #### OSVERSIONINFOEX

          public OSVERSIONINFOEX​(Pointer memory)

  - ### Method Detail

    - #### getMajor

          public int getMajor()

      Returns:
        The major version number of the operating system.

    - #### getMinor

          public int getMinor()

      Returns:
        The minor version number of the operating system.

    - #### getBuildNumber

          public int getBuildNumber()

      Returns:
        The build number of the operating system.

    - #### getPlatformId

          public int getPlatformId()

      Returns:
        The operating system platform. This member can be VER_PLATFORM_WIN32_NT.

    - #### getServicePack

          public java.lang.String getServicePack()

      Returns:
        String, such as "Service Pack 3", that indicates the latest Service Pack installed on the system.
        If no Service Pack has been installed, the string is empty.

    - #### getSuiteMask

          public int getSuiteMask()

      Returns:
        A bit mask that identifies the product suites available on the system.

    - #### getProductType

          public byte getProductType()

      Returns:
        Any additional information about the system.